Bug 8342 - Deleting Cells
Summary: Deleting Cells
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 1.5
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-21 12:43 UTC by Libin Roman
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Libin Roman 2002-04-21 12:43:01 UTC
I have found some issue that should be fixed with deleting cells

For example :

        HSSFWorkbook wb = new HSSFWorkbook();
        HSSFSheet sheet = wb.createSheet("new sheet");
        
        // Create a row and put some cells in it. Rows are 0 based.
        HSSFRow row = sheet.createRow((short)0);
        // Create a cell and put a value in it.
        HSSFCell cell = row.createCell((short)0);
        cell.setCellValue(1);
        
        row.removeCell(cell);


We have created one row and one cell, after that we deleted the cell.
If we try to save this file, excel can not open it
Comment 1 Andy Oliver 2002-04-21 17:25:21 UTC
retargeting for version 1.5 -- this must be fixed before we release.  I'll
investigate this soon if no one else does.  (first I have to rebuild my server)
-- Libin, can you see if maybe you can supply a patch to fix this as well?  I'd
like to make sure 1.5 (which will be out in a matter of days most likely) does
not contain this bug.
Comment 2 Glen Stampoultzis 2002-04-23 06:30:01 UTC
Fixed.  Will be committing to BRANCH soon.
Comment 3 Andy Oliver 2002-04-23 11:44:38 UTC
and the head too right?
Comment 4 Glen Stampoultzis 2002-04-23 13:08:19 UTC
That will be done when I do a merge.  Do you need it straight away?  What do 
you think a good policy would be: merge after every change or merge on an adhoc 
basis?
Comment 5 Andy Oliver 2002-04-23 13:13:28 UTC
bug fixes should be applied in both places simultaneously...  this prevents the
branches from getting toooooo far appart.
Comment 6 Glen Stampoultzis 2002-04-23 13:20:01 UTC
No no no... much easier to simply make the change in one place then use CVS 
merge the changes back to the trunk.
Comment 7 Andy Oliver 2002-04-23 22:05:15 UTC
its your world man...I'm just living in it. . Do as  you see fit.  I trust your
judgment.  I wouldn't let you pick my production operating system..but other
htan that ;-)
Comment 8 Glen Stampoultzis 2002-04-23 23:29:51 UTC
Don't mess with the branch manager man...